tool
extends EditorInspectorPlugin
class_name SummerDayScenePicker


func can_handle(object):
	if object is SummerDayDisplay:
		return true
	else: false


func parse_property(object, type, path, hint, hint_text, usage):
	if path == "scene":
		var picker = EditorResourcePicker.new()
		picker.base_type = "SummerDayScene"
		picker.editable = true
		add_custom_control(picker)
		return true
